#!/usr/bin/perl -w
#
# this example reads 4 analog input channels once per second
# the gain factor can be set by command line arguments

use lib "/usr/local/acl8112";
use acl8112;

$acl = new acl8112 or die;

$c1 = $acl->open("/dev/aclAai0") or die;
$c2 = $acl->open("/dev/aclAai7") or die;
$c3 = $acl->open("/dev/aclBai0") or die;
$c4 = $acl->open("/dev/aclBai2") or die;

if($ARGV[0]) {$acl->gain($c1,$ARGV[0]);}
if($ARGV[1]) {$acl->gain($c2,$ARGV[1]);}
if($ARGV[2]) {$acl->gain($c3,$ARGV[2]);}
if($ARGV[3]) {$acl->gain($c4,$ARGV[3]);}


# an output line contains: iteration counter, seconds since program
#     start, readings in Volt and as raw integer in ()
$t = time();
for($i=0;$i<10000;$i++){
    printf "%4i: %4i  ",$i,time()-$t;
    printf "%8.4g (%4i)  ", $acl->get($c1);
    printf "%8.4g (%4i)  ", $acl->get($c2);
    printf "%8.4g (%4i)  ", $acl->get($c3);
    printf "%8.4g (%4i)  ", $acl->get($c4);
    print "\n";
    sleep 1;
}
