#define QMODNAM "acl8112"

/* the max number of cards is also directly encoded in some places! */
#define MAXCARDS 4 
/* max number of operations (= nodes in /dev) per card */
#define MAXOPRS 20
/* prefix for global symbols */
#define PFX(n) acl8122 ## _ ## n

#define PDEBUG(l,s,a...) if(dbglvl>=l) printk(KERN_DEBUG "ACL " s, ##a) 

/* Split minors in two parts */
#define CARD(dev)   (MINOR(dev) >> 6) 
#define OPER(dev)   (MINOR(dev) & 0x3f)

/* ioctl commands  */
#define IOCTL_GAIN _IOW('J', 1, short)
#define IOCTL_CTYP _IOR('J', 2, char)
#define IOCTL_AIR _IOR('J', 3, short)
#define IOCTL_AOR _IOR('J', 4, short)
#define IOCTL_BP _IOR('J', 5, short)

typedef struct {
  short card; /* Card */ 
  short oper; /* Operation */
}acldev;

typedef struct{
  short gain; 
  short newgain;
}aclgnpar;
